/* 

    umesh2dgui, a GUI for umesh2d grid generator 

    Copyright (C) 2008 Gabriele Dini Ciacci
  
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef U2D_FILE_OUTPUT_H
#define U2D_FILE_OUTPUT_H

#include <string>
#include <exceptions.h>

using std::string;

class u2d_FileOutput {
public:
    virtual void output() throw (u2d_IO_Exception &) = 0;
    virtual void setFilename(string filename) = 0;
    virtual string getFilename() = 0;
};

#endif // U2D_FILE_OUTPUT_H
